log4c_rollingpolicy_type(3)

NAME
log4c_rollingpolicy_type -

log4c rollingpolicy type. Defines the interface a specific policy must provide to the rollingfile appender.

SYNOPSIS

#include <rollingpolicy.h>

Detailed Description

log4c rollingpolicy type. Defines the interface a specific policy must provide to the rollingfile appender.

Attributes description:

•   name rollingpolicy type name
•   init() init the rollingpolicy
•   is_triggering_event()
•   rollover()

Author
Generated automatically by Doxygen for log4c from the source code.